<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
        <file filelist='onebackup' name='/etc/one/onebck.conf' mkdir='True'/>
    </files>
    <variables>
        <family name='general'>
            <variable name='nom_machine' redefine='True' auto_freeze='True'/>
        </family>
        <family name='Virtualisation' icon='cloud'>
            <!-- Sauvegarde des VM -->
            <variable name="activer_one_backup" type="oui/non" description="Sauvegarder automatiquement les machines virtuelles">non</variable>
        </family>

        <family name="Sauvegarde des VM" icon="cloud">
            <variable name="one_backup_dir" type="string" description="Répertoire de sauvegardes des machines virtuelles" mandatory='True'>
                <value>/mnt/sauvegardes</value>
            </variable>
            <variable name="one_backup_tagged" type="oui/non" description="Sauvegarder uniquement les VM avec une étiquette">
                <value>oui</value>
            </variable>
            <variable name="one_backup_tag" description="Étiquette des machines a sauvegarder" type="string">
                <value>Backup</value>
            </variable>
            <variable name="one_backup_unused" type="oui/non" description="Sauvegarder les images non utilisées par des VM">
                <value>oui</value>
            </variable>
        </family>

        <separators>
            <separator name="activer_one_backup">Sauvegardes</separator>
        </separators>
    </variables>

    <constraints>
        <condition name="disabled_if_in" source='activer_one_backup'>
            <param>non</param>
            <target type='family'>Sauvegarde des VM</target>
            <target type='filelist'>onebackup</target>
        </condition>

        <condition name="disabled_if_in" source='one_backup_tagged'>
            <param>non</param>
            <target type='variable'>one_backup_tag</target>
        </condition>

        <condition name='disabled_if_in' source='activer_oned'>
            <param>non</param>
            <target type='filelist'>onebackup</target>
            <target type='family'>Sauvegarde des VM</target>
        </condition>
    </constraints>

    <help>
        <family name='Sauvegarde des VM'>Gestion de la sauvegardes des machines virtuelles</family>
        <variable name="one_backup_dir">Répertoire racine de destination des sauvegardes de machines virtuelles (Attention à l'éspace disponnible)</variable>
        <variable name="one_backup_tagged">Active la possibilité de marquer des machines virtuelles avec des Labels (dans OpenNebula) et de ne sauvegarder que les machines ainsi marquées</variable>
        <variable name="one_backup_tag">Label (étiquette) marquant les machines virtuelles a sauvegarder</variable>
        <variable name="one_backup_unused">Sauvgarder également les images qui ne sont utilisée par aucune machine virtuelle</variable>
    </help>
</creole>
